Subject: bug#33653: 27.0.50; Change Gnus obarrays-as-hash-tables into real hash tables

From: Deus Max <[email-masked]>
Date: Sat, 30 Mar 2019 14:09:13 +0200

Hi Eric,

It seems you are implementing some pretty drastic upgrades to Gnus.

Is there a write-up on the planned changes, benefits, what is going to be
affected and what to expect ?

I'm interested and would like to read it.

On Sun, Mar 24 2019, Eric Abrahamsen wrote:

> On 03/24/19 23:29 PM, Bastien wrote:
>> Hi Eric,
>>
>> Eric Abrahamsen <[email-masked]> writes:
>>
>>> The bummer is that you don't get an error until you run Gnus, so it just
>>> looks like I broke Gnus :(
>>
>> I hope not!  :)
>>
>> I have not followed this change.
>> Can it corrupt the .newsrc.eld file?
>
> Worst come to worst it will write non-ascii group names as unibyte when
> they should be utf-8, or else the other way around. I thought I could
> avoid dealing with this question for now, and just preserve Gnus'
> original method of saving group names, but it looks like I may have
> forced the issue instead...